Page MenuHomePhabricator

Request to add Tarrow to the ldap/wmde group
Closed, ResolvedPublic

Description

I’m a contractor at WMDE as a developer and would like to be added to the ldap/wmde group. My username is tarrow.
I need to

  • sign NDA with WMF legal for LDAP access
  • get added to ldap/wmde

Event Timeline

Tarrow created this task.Apr 12 2018, 8:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2018, 8:54 AM
Dzahn renamed this task from Request to be added to the ldap/wmde group to Request to add Tarrow to the ldap/wmde group .Apr 12 2018, 7:33 PM

@RStallman-legalteam And.. here's another request for NDA for a WMDE developer, renamed ticket to keep them apart.

Dzahn added a comment.Apr 12 2018, 7:35 PM

Afaict here also T191523#4125233 applies so L2 is not actually correct and whereever that template is that these tickets are created from, it should probably be updated.

The template is just coded into a link in an internal WMDE onboarding document. I'll let them know it should be changed.

Should the first checkbox be removed? Is that the only error?

@Tarrow - could you give me your full name and email address, either here or to rstallman@wikimedia.org?

I've sent an email, thanks!

Dzahn added a comment.Apr 12 2018, 8:01 PM

@Tarrow yea, the first line can be removed. The second line can be amended to say that RStallman-legalteam should be added to do that. The third line can be amended to say that "Operations" should be added to actually do the technical change after the NDA has been signed. It could also say that the person who is currently listed as "on duty" on the #wikimedia-operations IRC channel can be contacted in case it's blocked by ops. Thanks!

Addshore updated the task description. (Show Details)Apr 13 2018, 7:52 AM

I have removed the line about L2 from here and T191523.
We already realised that we don't need it in Feb, but apparently the template was not updated T187442#3975477

Thomas Arrow's NDA is fully signed and on file with legal. Thanks!

Dzahn claimed this task.Apr 17 2018, 5:25 PM
Dzahn triaged this task as Normal priority.

"tarrow" has been added to the "wmde" LDAP group.

done

Dzahn updated the task description. (Show Details)Apr 17 2018, 5:27 PM
Dzahn closed this task as Resolved.

@Tarrow All done. Let us know if any unexpected issues.